<?php
/*
  $Id: prices_per.php,v 1.1.0 2014/06/24 Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2014 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');
  
  function tep_get_manufacurers() {
    $manufacturers_array = array();
    $manufacturers_array[] = array('id' => 0, 'text' => 'All');
	$manufacturers_query = tep_db_query("select manufacturers_id, manufacturers_name from " . TABLE_MANUFACTURERS . "");
    while ($manufacturer = tep_db_fetch_array($manufacturers_query)) {
      $manufacturers_array[] = array('id' => $manufacturer['manufacturers_id'], 'text' => $manufacturer['manufacturers_name']);
    }

    return $manufacturers_array;
  }


  if (isset($_GET["action"]) && $_GET["action"]=='modify_prices') {

	$category_id = tep_db_prepare_input($_POST["category_id"]);
	$manufacturer_id = tep_db_prepare_input($_POST["manufacturer_id"]);
	if (trim($_POST["amount"])!="0") {
		$amount = tep_db_prepare_input($_POST["amount"]);
	}
	elseif (trim($_POST["amount_dollars"]!="0")) {
		$amount_dollars = tep_db_prepare_input($_POST["amount_dollars"]);
	}
	$operation = tep_db_prepare_input($_POST["operation"]);
	
	if ($category_id != '0') {
	  $subcategories_array = array();
	  tep_get_subcategories($subcategories_array, $category_id);
	  $category_id_list = tep_array_values_to_string($subcategories_array);
	  if ($category_id_list == '') {
		$category_id_list = $category_id;
	  } else {
		$category_id_list .= ',' . $category_id;
	  }
	  if (!empty($manufacturer_id)) { 
		$query = "select p.products_id, p.products_price, ptc.categories_id from " . TABLE_PRODUCTS . " p, " . TABLE_MANUFACTURERS . " m, " . TABLE_PRODUCTS_TO_CATEGORIES . " ptc where p.manufacturers_id=m.manufacturers_id and p.products_id = ptc.products_id and p.manufacturers_id='" . $manufacturer_id . "' and ptc.categories_id IN(" . $category_id_list . ")";
	  } else {
		$query = "select p.products_id, p.products_price, ptc.categories_id from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_TO_CATEGORIES . " ptc where p.products_id = ptc.products_id and ptc.categories_id IN(" . $category_id_list . ")";
	  }
	} else {
	  if (!empty($manufacturer_id)) { 
		$query = "select products_id, products_price from " . TABLE_PRODUCTS . " p, " . TABLE_MANUFACTURERS . " m where p.manufacturers_id=m.manufacturers_id and p.manufacturers_id='" . $manufacturer_id . "'";
	  } else {
		$query = "select products_id, products_price from " . TABLE_PRODUCTS . "";
	  }
	}

	$result = tep_db_query($query);
	$number_of_modified_records = 0;
	while ($row = tep_db_fetch_array($result)) {
		if ($operation == "plus") {
			if (isset($amount) && trim($amount)!="0") {
				$new_price = round((1+($amount/100)) * $row["products_price"],2);
			}
			elseif (isset($amount_dollars) && trim($amount_dollars)!="0") {
				$new_price = $row["products_price"] + $amount_dollars;
			}
		}
		else {
			if (isset($amount) && trim($amount)!="0") {
				$new_price = round((1-($amount/100)) * $row["products_price"],2);
			}
			elseif (isset($amount_dollars) && trim($amount_dollars)!="0") {
				$new_price = $row["products_price"] - $amount_dollars;
			}
		}
		$query_update = 'update products set products_price = '.$new_price.' where products_id = '.$row["products_id"];
		tep_db_query($query_update);
		$number_of_modified_records++;
	}	
  }

  require(DIR_WS_INCLUDES . 'template_top.php');

?>
    <table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><span style="font-size:14px; font-family:Verdana, Geneva, sans-serif; background-color:#FFFFCC; width:100%;">&nbsp; &nbsp;Please <a href="backup.php<?php if (defined('SID') && tep_not_null(SID)) { echo '?'.tep_session_name().'='.tep_session_id(); } ?>" style="font-size:14px; background-color:#FFFFCC; font-family:Verdana, Geneva, sans-serif; text-decoration:underline;">backup your database</a> before performing any operations!&nbsp; &nbsp;</span><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr><?php echo tep_draw_form('mail', 'prices_per.php', 'action=modify_prices'); ?>
            <td><table border="0" width="100%" cellpadding="0" cellspacing="2">
              <tr>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
              </tr>
              <tr>
                <td class="smallText"><b><?php echo MODIFY_PRICES_CATEGORY;?></b><br>
                    <?php echo str_replace('>Top</', '>All</', tep_draw_pull_down_menu('category_id', tep_get_category_tree())); ?>
                </td>
              </tr>
              <tr>
                <td class="smallText"><b><?php echo MODIFY_PRICES_MANUFACTURER;?></b><br>
                    <?php echo tep_draw_pull_down_menu('manufacturer_id', tep_get_manufacurers()); ?>
                </td>
              </tr>
              <tr>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
              </tr>
              <tr>
                <td class="smallText"><b><?php echo MODIFY_ADD_OR_SUBTRACT; ?></b> &nbsp;
					<select name='operation'>
						<option value='plus' <?php echo ($operation=='plus'?'selected':''); ?>>+</option>
						<option value='minus' <?php echo ($operation=='minus'?'selected':''); ?>>-</option>
					</select>
                </td>
              </tr>
              <tr>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
              </tr>
              <tr>
                <td class="smallText"><b><?php echo MODIFY_PRICES_AMOUNT; ?></b> &nbsp; <input type="text" name="amount" size="4" value="<?php echo (!empty($amount)?$amount:'0'); ?>">%</td>
              </tr>
              <tr>
                <td class="smallText"><b><?php echo MODIFY_PRICES_OR; ?></b> &nbsp; <?php echo MODIFY_PRICES_DOLLAR_SIGN_BEFORE; ?><input type="text" name="amount_dollars" size="4" value="<?php echo (!empty($amount_dollars)?$amount_dollars:'0'); ?>"><?php echo MODIFY_PRICES_DOLLAR_SIGN_AFTER; ?></td>
              </tr>
              <tr>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
              </tr>
              <tr>
                <td class="smallText"><b>
                	<?php
                		if (isset($_GET["action"]) && $_GET["action"]=='modify_prices') {
                			echo $number_of_modified_records . " products modified";
                			if (isset($amount) && trim($amount)!="0") echo " by ".$amount."% ";
                			else echo " by " . ($operation=='minus'?'-':'') . "$".$amount_dollars;
                		}
                	?>
                </b></td>
              </tr>
              <tr>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
              </tr>
              <tr>
                <td>
                    <tr>
                    <td align="right"><?php echo tep_draw_button(IMAGE_APPLY_PRICES, 'check', null, 'primary') . ' ' . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link(FILENAME_PRICES_PER), 'secondary'); ?></td>
                    </tr>
                    <td class="smallText"></td>
                  </tr>
                </table></td>
             </tr>
            </table></td>
          </form></tr>
<!-- body_text_eof //-->
        </table>
        

<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>